Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83087 - C++ STL "string" does not compile in 2.96-112.7.2.i386 version
Summary: C++ STL "string" does not compile in 2.96-112.7.2.i386 version
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 04:14 UTC by Michael Furman
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-01 16:01:46 UTC


Attachments (Terms of Use)

Description Michael Furman 2003-01-30 04:14:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I insatalled gcc/g++ RPM 2.96-112.7.2.i386 and found that file
"g++-3/std/bastring.h" has error in the line # 343 in the 
statement "if(length() == 0) return "";" : if the string template
is instantiated with the differen then "char" base type (in my case
it was wide character) compilation fail ("" is a pointer to char and
it cannot be used/casted as/to pointer to the different type).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Define a string of wide characters;
2.call method "c_str()"

    

Actual Results:  Compilation error

Expected Results:  no error

Additional info:

Comment 1 Jakub Jelinek 2003-02-01 16:01:46 UTC
libstdc++ before the rewrite which showed up in GCC 3.0 doesn't support wide
chars (with the exception of the latest RHAS version).


Note You need to log in before you can comment on or make changes to this bug.